#include <bits/stdc++.h>
using namespace std;
#define ll long long
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);
    int n,m;
    cin>>n>>m;
    vector<int>a(n),b(n),c(m),d(m);
    for(int i =0;i<n;i++){
        cin>>a[i]>>b[i];
    }
    int minz=0;
    int nulz=0;
    for(int i =0;i<m;i++){
        cin>>c[i]>>d[i];
        minz+=c[i];
        if(c[i]==0)nulz++;
    }
    if(n==1){
        cout<<minz<<endl<<minz-nulz<<endl;
        for(int i =0;i<m;i++){
            cout<<c[i]<<" ";
        }
    }
}